<div class="header-color">
  {{ 'sqtm-core.entity.test-step.action.singular' | translate }}
</div>
<div class="m-t-5 block-border">
  <sqtm-core-editable-rich-text
    #action
    [value]="actionStep.action"
    [editable]="editable"
    [focus]="true"
    [height]="380"
    [targetOnUpload]="{
      entityId: actionStep.id,
      attachmentListId: actionStep.attachmentList.id,
      holderType: AttachmentHolderType.ACTION_TEST_STEP
    }"
    (confirmEvent)="changeAction($event)"
    [attr.data-test-field-id]="'action'"
  ></sqtm-core-editable-rich-text>
</div>
<div class="m-t-15 header-color">
  {{ 'sqtm-core.entity.test-step.expected-result.label' | translate }}
</div>
<div class="m-t-5 block-border">
  <sqtm-core-editable-rich-text
    #expectedResult
    [value]="actionStep.expectedResult"
    [editable]="editable"
    [focus]="true"
    [height]="380"
    [targetOnUpload]="{
      entityId: actionStep.id,
      attachmentListId: actionStep.attachmentList.id,
      holderType: AttachmentHolderType.ACTION_TEST_STEP
    }"
    (confirmEvent)="changeExpectedResult($event)"
    [attr.data-test-field-id]="'result'"
  ></sqtm-core-editable-rich-text>
</div>

@if (customFields.length > 0) {
  <div style="overflow: hidden">
    <div class="m-t-15 m-b-5 header-color">
      {{ 'sqtm-core.entity.custom-field.label.plural' | translate }}
    </div>
    <div class="custom-fields m-t-5 block-border">
      @for (customField of customFields; track customField) {
        <sqtm-core-label
          [text]="customField.label"
          class="m-l-10"
        ></sqtm-core-label>
        <div>
          <sqtm-core-custom-field-widget
            [targetOnUpload]="{
              entityId: actionStep.id,
              attachmentListId: actionStep.attachmentList.id,
              holderType: AttachmentHolderType.ACTION_TEST_STEP
            }"
            [customField]="customField"
            [value]="getCfvValue(customField, actionStep)"
            [editable]="editable"
            (confirmEvent)="updateCustomFieldValue(customField, $event)"
          >
          </sqtm-core-custom-field-widget>
        </div>
      }
    </div>
  </div>
}

<div>
  <div class="m-t-10 m-b-5 header-color">
    {{ 'sqtm-core.entity.attachment.label.long.plural' | translate }}
    @if (editable) {
      <sqtm-core-attachment-file-selector
        (uploadFilesEvent)="addAttachment($event)"
      >
        <i
          class="current-workspace-main-color m-l-10 font-14-px __hover_pointer"
          nz-icon
          nzType="sqtm-core-generic:plus"
          nzTheme="outline"
        ></i>
      </sqtm-core-attachment-file-selector>
    }
  </div>
  <div class="block-border p-l-10">
    <sqtm-core-attachment-list-compact
      [attachments]="getAttachments(actionStep)"
      [attachmentListId]="actionStep.attachmentList.id"
      [canAttach]="canAttach"
      (deleteAttachmentEvent)="deleteAttachment($event)"
      (confirmDeleteAttachmentEvent)="confirmDeleteAttachmentEvent($event)"
      (cancelDeleteAttachmentEvent)="cancelDeleteAttachmentEvent($event)"
      (removeRejectedAttachmentEvent)="removeRejectedAttachment($event)"
    >
    </sqtm-core-attachment-list-compact>
  </div>
</div>
